PACREPORT(1)

NAME
pacreport - display a summary of installed packages

SYNOPSIS
 pacreport [options]
 pacreport (--help|--version)

DESCRIPTION
Generate a report of installed packages including:

unneeded packages installed explicitly
unneeded packages installed as dependencies
unneeded packages in a dependency cycle
installed packages not in a repository
packages missing from specified groups
missing package files
unmerged backup files
unowned files
cache directory sizes

Package sizes include dependencies not needed by other packages.

Packages prefixed by an asterisk ("*") are optional dependencies for another package.

OPTIONS

--config=path
    Set an alternate pacman configuration file path.

--dbext=extension
    Set an alternate sync database extension.

--dbpath=path
    Set an alternate database path.

--root=path
    Set an alternate installation root.

--sysroot=path
    Set an alternate system root. See pacutils-sysroot(7).

--cache-dir=path
    Set an alternate cache directory path.

--backups
    Search for .pac{save,orig,new} files. By default /etc is searched and all known config files are checked; pass twice to search outside /etc.

--group=name
    Display any packages in group name that are not currently installed. May be specified multiple times.

--missing-files
    Check for missing package files.

--unowned-files
    Check for unowned files. See /etc/pacreport.conf under FILES for more information.

--optional-deps
    Take optional dependencies into account when listing unneeded packages and dependency loops.

--help
    Display usage information and exit.

--version
    Display version information and exit.

FILES

/etc/pacreport.conf
    INI-style configuration file listing paths to ignore when run with --unowned-files. Paths which should always be ignored may be specified with "IgnoreUnowned" in the "Options" section. Paths which should only be ignored if a particular package is installed can be listed under the section "PkgIgnoreUnowned" using the package name as the option name and the path to be ignored as the value. All options can be specified multiple times. Paths may include shell-style globs. The installation root should not be included in paths.

     [Options]
     IgnoreUnowned = home/*
     IgnoreUnowned = proc/*
     IgnoreUnowned = mnt/*

     [PkgIgnoreUnowned]
     linux = boot/initramfs-linux.img
     linux = boot/initramfs-linux-fallback.img